View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
15778Bug reportsUser / Groups / Rolespublic2020-02-17 11:22
Reporterpstelling Assigned ToLimeBot  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.x 
Target Version4.0.x 
Summary15778: User managment grid view action "take ownership" changes owner immediatly
DescriptionThe grid view action "take ownership" is not working correctly. The confirmation modal view only popups for 2 seconds and closes directly without waiting for user to click "yes". It changes the ownership after closing the modal view.
Steps To Reproduce(1) go to "user management panel"
(2) use the gird view action "take ownership" (it will only be visible if another uses has created a new user AND logged in user could take the ownership)
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 4.0.0
I will donate to the project if issue is resolvedNo
Browser
Database type & versionmysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

LimeBot

LimeBot

2020-02-14 11:58

administrator   ~56015

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29563
lime_release_bot

lime_release_bot

2020-02-17 11:22

administrator   ~56049

Fixed in Release 4.1.5+200217

Related Changesets

LimeSurvey: master f9740c92

2020-02-10 17:34:34

LimeBot

Details Diff
Fixed issue 15778: User managment grid view action "take ownership" changes owner immediatly Affected Issues
15778
mod - application/models/User.php Diff File

Issue History

Date Modified Username Field Change
2020-01-27 11:17 pstelling New Issue
2020-01-27 11:17 pstelling Status new => assigned
2020-01-27 11:17 pstelling Assigned To => cdorin
2020-02-14 11:33 LimeBot Assigned To cdorin => LimeBot
2020-02-14 11:58 LimeBot Changeset attached => LimeSurvey master f9740c92
2020-02-14 11:58 LimeBot Note Added: 56015
2020-02-14 11:58 LimeBot Resolution open => fixed
2020-02-17 10:19 LimeBot Status assigned => resolved
2020-02-17 11:22 lime_release_bot Note Added: 56049
2020-02-17 11:22 lime_release_bot Status resolved => closed